> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取组织详情

> 返回单个组织的详细信息。要获取这些详细信息，auth key 必须属于该组织。



## OpenAPI

````yaml /zh/_specs/cloud-openapi.json get /v1/organizations/{organizationId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}:
    get:
      tags:
        - Organization
      summary: 获取组织详情
      description: 返回单个组织的详细信息。要获取这些详细信息，auth key 必须属于该组织。
      parameters:
        - description: 所请求组织的 ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 分配给每个请求的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/Organization'
                  status:
                    description: HTTP 状态码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细错误描述。
                    type: string
                  status:
                    description: HTTP 状态码。
                    example: 400
                    type: number
                type: object
          description: 由于请求存在被视为客户端错误的问题，server 无法或不会处理该请求。
components:
  schemas:
    Organization:
      properties:
        byocConfig:
          description: organization 的 BYOC 配置
          items:
            $ref: '#/components/schemas/ByocConfig'
          type: array
        createdAt:
          description: organization 的创建时间戳。ISO-8601。
          format: date-time
          type: string
        id:
          description: 唯一的 Organization ID。
          format: uuid
          type: string
        name:
          description: organization 的名称。
          type: string
        privateEndpoints:
          description: organization 的专用终结点列表
          items:
            $ref: '#/components/schemas/OrganizationPrivateEndpoint'
          type: array
    ByocConfig:
      properties:
        accountName:
          description: 账户名称
          type: string
        cloudProvider:
          description: 该区域的云提供商
          enum:
            - gcp
            - aws
            - azure
          type: string
        id:
          description: BYOC 配置的唯一标识符
          type: string
        regionId:
          description: BYOC 已配置且可创建服务的区域
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        state:
          description: 基础设施的状态
          enum:
            - infra-ready
            - infra-provisioning
            - infra-terminated
          type: string
    OrganizationPrivateEndpoint:
      properties:
        cloudProvider:
          description: 专用终结点所在的云提供商
          enum:
            - gcp
            - aws
            - azure
          type: string
        description:
          description: 专用终结点的描述
          type: string
        id:
          description: 专用终结点标识符
          type: string
        region:
          description: 专用终结点所在的区域
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        使用从 ClickHouse Cloud 控制台获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````